#
# spec file for package rubygem-googleapis-common-protos-types
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-googleapis-common-protos-types
Version:        1.16.0
Release:        1.2
%define mod_name googleapis-common-protos-types
%define mod_full_name %{mod_name}-%{version}
BuildRequires:  %{ruby >= 2.7}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  ruby-macros >= 5
URL:            https://github.com/googleapis/common-protos-ruby
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Common protocol buffer types used in Google APIs
License:        Apache-2.0

%description
Common protocol buffer types used by Google APIs.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG.md README.md" \
  -f

%gem_packages

%changelog
* Mon Nov  4 2024 Dan Čermák <dan.cermak@posteo.net>
- ### 1.16.0 (2024-09-11)
  [#]### Features
  * Added referenced types to Google::Api::FieldInfo
  [#]### Documentation
  * Various improvements to reference documentation
* Fri Jun 21 2024 Dan Čermák <dan.cermak@posteo.net>
- ### 1.15.0 (2024-06-11)
  [#]### Features
  * Support for google-protobuf 4.x ([#315](https://github.com/googleapis/common-protos-ruby/issues/315))
  [#]## 1.14.0 (2024-03-16)
  [#]### Features
  * Added LOCATION_POLICY_VIOLATED as an error reason
  * Added rest_reference_documentation_uri to the Publishing config
  * Added the google.api.api_version service option
  [#]### Documentation
  * Minor documentation updates
  [#]## 1.13.0 (2024-02-23)
  [#]### Features
  * Update minimum Ruby version to 2.7 ([#246](https://github.com/googleapis/common-protos-ruby/issues/246))
  [#]## 1.12.0 (2024-02-13)
  [#]### Features
  * set packed to false on field_behavior extension ([#239](https://github.com/googleapis/common-protos-ruby/issues/239))
* Mon Jan 29 2024 Dan Čermák <dan.cermak@posteo.net>
- ### 1.11.0 (2023-12-04)
  [#]### Features
  * Automated update of googleapis-common-protos-types ([#217](https://github.com/googleapis/common-protos-ruby/issues/217))
* Tue Nov 14 2023 Dan Čermák <dan.cermak@posteo.net>
- ### 1.10.0 (2023-11-06)
  [#]### Features
  * Automated update of googleapis-common-protos-types ([#200](https://github.com/googleapis/common-protos-ruby/issues/200))
* Fri Nov  3 2023 Dan Čermák <dan.cermak@posteo.net>
- ### 1.9.0 (2023-09-19)
  [#]### Features
  * Added the "IDENTIFIER" field behavior ([#181](https://github.com/googleapis/common-protos-ruby/issues/181))
  [#]## 1.8.0 (2023-08-07)
  [#]### Features
  * Support for API method policies ([#175](https://github.com/googleapis/common-protos-ruby/issues/175))
  * Updated generated protobuf output to use binary descriptors for better future compatibility ([#165](https://github.com/googleapis/common-protos-ruby/issues/165))
  [#]## 1.7.0 (2023-07-16)
  [#]### Features
  * Support for a few additional client library organizations ([#141](https://github.com/googleapis/common-protos-ruby/issues/141))
  [#]## 1.6.0 (2023-04-24)
  [#]### Features
  * Added Google::Rpc::Context::AttributeContext
  * Added Google::Rpc::Context::AuditContext
  * Added dotnet-specific fields to API language settings
  * Added overrides_by_request_protocol to api.BackendRule
  * Added proto_reference_documentation_uri to api.Publishing
  * Added SERVICE_NOT_VISIBLE and GCP_SUSPENDED error reason values
  [#]## 1.5.0 (2023-01-04)
  [#]### Features
  * Added "cookie" JwtLocation
  * Added protos related to client library publishing
  * Added several new error reasons
  * Added protos describing HTTP requests and responses
* Tue Aug 23 2022 Dan Čermák <dcermak@suse.com>
- First version of the googleapis-common-protos-types gem
